### Function

# Vips Foreign find_load_buffer

#### Declaration [src]

    const char*
    vips_foreign_find_load_buffer (
      void* data,
      size_t size
    )

#### Description [src]

Searches for an operation you could use to load a memory buffer. To see the range of buffer loaders supported by your vips, try something like:

    vips -l | grep load_buffer

See also

`vips_image_new_from_buffer()`.

#### Parameters

`data`

  Type: An array of `guint8`

  Start of memory buffer.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `size_t`

  Number of bytes in `data`.

#### Return value

Type: `const char*`

The name of an operation on success, `NULL` on error.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.